Get message delivery status
Returns the current delivery status of a message by its ID. Request: GET /v1/messages/{id}/status. Scope: messages:read.
GET
Returns the current delivery status of a message by its ID.
apiKeyheader
x-api-key<token>id*stringMatch
^msg_[0-9a-hjkmnp-tv-z]{16,24}$Success
application/json- response
id*MessageIdMatch
^msg_[0-9a-hjkmnp-tv-z]{16,24}$status*stringValue in
"pending""scheduled""queued""processing""sent""delivered""read""failed""bounced""complained"updatedAt*stringimport { createClient } from "samva";
const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });
const result = await samva.messages.getStatus({
"id": "example"
});Example Response
{
"id": "string",
"status": "pending",
"updatedAt": "string"
}